Package org.apache.wiki.api.plugin

# Interface WikiPlugin

All Superinterfaces:
  `Plugin`

@Deprecated public interface WikiPlugin extends Plugin
Deprecated.
use `Plugin` instead
Defines an interface for plugins. Any instance of a wiki plugin should implement this interface.

See Also:
  - `Plugin`

## Field Summary

### Fields inherited from interface org.apache.wiki.api.plugin.Plugin

`CORE_PLUGINS_RESOURCEBUNDLE`

## Method Summary

Modifier and Type
Method
Description
`default String`
`execute(Context context, Map<String,String> params)`
Deprecated.
`String`
`execute(WikiContext context, Map<String,String> params)`
Deprecated.

## Method Details

### execute

default String execute(Context context, Map<String,String> params) throws PluginException
Deprecated.

Specified by:
  `execute` in interface `Plugin`
Throws:
  `PluginException`

### execute

String execute(WikiContext context, Map<String,String> params) throws PluginException
Deprecated.

Throws:
  `PluginException`